org.atinject.tck.auto.accessories

## Class Cupholder

- java.lang.Object
- - org.atinject.tck.auto.accessories.Cupholder

-     @Singleton
      public class Cupholder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Provider<Seat>` | `seatProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cupholder(Provider<Seat> seatProvider)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seatProvider

          public final Provider<Seat> seatProvider

  - ### Constructor Detail

    - #### Cupholder

          @Inject
          public Cupholder(Provider<Seat> seatProvider)